#!/usr/bin/env bash

set -eu

TARGET_DIR=$1

./node_modules/.bin/grpc_tools_node_protoc \
  --js_out=import_style=commonjs,binary:${TARGET_DIR}/generated \
  --grpc_out=${TARGET_DIR}/generated \
  --plugin=protoc-gen-grpc=./node_modules/.bin/grpc_tools_node_protoc_plugin \
  -I ${TARGET_DIR} \
  ${TARGET_DIR}/*.proto

./node_modules/.bin/grpc_tools_node_protoc \
  --plugin=protoc-gen-ts=./node_modules/.bin/protoc-gen-ts \
  --ts_out=${TARGET_DIR}/generated \
  -I ${TARGET_DIR} \
  ${TARGET_DIR}/*.proto
